Subscribe (Internal)

Structures, Enums and Functions that are not exposed to applications. More...

## Data Structures

struct | coap_subscription_t
| Subscriber information. More...

## Macros

#define | COAP_OBS_MAX_NON 5
| Number of notifications that may be sent non-confirmable before a confirmable message is sent to detect if observers are alive. More...
#define | COAP_OBS_MAX_FAIL 3
| Number of confirmable notifications that may fail (i.e. More...

## Functions

void | coap_subscription_init (coap_subscription_t *)

## Detailed Description

Structures, Enums and Functions that are not exposed to applications.

## Macro Definition Documentation

## COAP_OBS_MAX_FAIL

#define COAP_OBS_MAX_FAIL 3

Number of confirmable notifications that may fail (i.e.

time out without being ACKed) before an observer is removed. The maximum value for COAP_OBS_MAX_FAIL is `3`.

Definition at line 40 of file coap_subscribe_internal.h.

## COAP_OBS_MAX_NON

#define COAP_OBS_MAX_NON 5

Number of notifications that may be sent non-confirmable before a confirmable message is sent to detect if observers are alive.

The maximum allowed value here is `15`.

Definition at line 31 of file coap_subscribe_internal.h.

## Function Documentation

## coap_subscription_init()

void coap_subscription_init | ( | coap_subscription_t * | s | ) |

Definition at line 13 of file subscribe.c.

Here is the caller graph for this function: